﻿// This script draws a hyperbola.
// Copyright (C) Remi 2015.
var document = app.activeDocument;

var path1 = document.pathItems.add();
path1.stroked = true;

// Expression: x^2 - y^2 = a^2   (rectangular hyperbola)
var a = 50;
var range = 7;
var mag = 10;
for ( var y = -range*a; y <= range*a; y++ ) {
        var point = path1.pathPoints.add();
        var x = Math.sqrt( a*a + y*y );
        point.anchor = [x*mag,y*mag];
        point.leftDirection = point.anchor;
        point.rightDirection = point.anchor;
        point.pointType = PointType.CORNER;
}
